org.apache.felix.useradmin

## Class BackendException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.felix.useradmin.BackendException

All Implemented Interfaces:
  Serializable

    public class BackendException
    extends RuntimeException

Represents a runtime exception for `RoleRepositoryStore`s.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BackendException(Exception cause)` Creates a new `BackendException` instance.
`BackendException(String message)` Creates a new `BackendException` instance.
`BackendException(String message, Exception cause)` Creates a new `BackendException` instance.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BackendException

    public BackendException(Exception cause)

Creates a new `BackendException` instance.

Parameters:
  `cause` - the originating cause of this exception.

#### BackendException

    public BackendException(String message)

Creates a new `BackendException` instance.

Parameters:
  `message` - the message of this exception.

#### BackendException

    public BackendException(String message,
                            Exception cause)

Creates a new `BackendException` instance.

Parameters:
  `message` - the message of this exception;
  `cause` - the originating cause of this exception.